import {
  get,
  post,
} from '@/common/utils/http-util.ts'

export default {
  paging(data: TaskExecuteLogTypes.SearchTaskExecuteLogParam) {
    return get<G.PageResult<TaskExecuteLogTypes.SearchTaskExecuteLogResult>>('/task_execute_log/paging', data)
  },
  detail(id: string) {
    return get<TaskExecuteLogTypes.SearchTaskExecuteLogResult>('/task_execute_log/detail', {id})
  },
  add(data: TaskExecuteLogTypes.AddTaskExecuteLogParam) {
    return post('/task_execute_log/add', data)
  },
  modify(data: TaskExecuteLogTypes.ModifyTaskExecuteLogParam) {
    return post('/task_execute_log/modify', data)
  },
  del(ids: string[]) {
    return post('/task_execute_log/del', ids)
  },
}
